import unittest
import utils

class TestDictIterate(unittest.TestCase):
    def dict_iterate(self, optimization_level):
        utils.write_perf_to_file(
            'dict_iterate', optimization_level,
            utils.run_perf_test(
                ["test_harness.alc", "dict_iterate.alc", "primitives.alc", "jit.alc"],
                [50, 10, 100],
                optimization_level))

utils.define_perf_tests(TestDictIterate, TestDictIterate.dict_iterate)
